
Summary: Qt bindings for OpenGTL
Name:    libQtGTL
Version: 0.9.1
Release: 2%{?dist}

License: LGPLv2 
Group:   System Environment/Libraries
URL:     http://www.opengtl.org/
Source0: http://www.opengtl.org/download/libQtGTL-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# matching where OpenGTL isn't available
ExcludeArch: ppc64 ppc

## upstreamable patches
Patch50: libQtGTL-0.9.1-dso_linking.patch

BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: OpenGTL-devel

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: OpenGTL-devel
%description devel
%{summary}.


%prep
%setup -q

%patch50 -p1 -b .dso_linking


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libQtGTL.so.0*
%{_libdir}/libQtShiva.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/QtGTL/
%{_libdir}/libQtGTL.so
%{_libdir}/pkgconfig/QtGTL.pc
%{_includedir}/QtShiva/
%{_libdir}/libQtShiva.so
%{_libdir}/pkgconfig/QtShiva.pc


%changelog
* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-2
- fix dso linking

* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-1
- libQtGL-0.9.1

* Wed Mar 24 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-1
- libQtGTL-0.9.0

